TRUNCATE_PAGECACHE(9)

NAME
truncate_pagecache - unmap and remove pagecache that has been truncated

SYNOPSIS

void truncate_pagecache(struct inode * inode, loff_t newsize);

ARGUMENTS

inode
    inode

newsize
    new file size

DESCRIPTION

inode's new i_size must already be written before truncate_pagecache is called.

This function should typically be called before the filesystem releases resources associated with the freed range (eg. deallocates blocks). This way, pagecache will always stay logically coherent with on-disk format, and the filesystem would not have to deal with situations such as writepage being called for a page that has already had its underlying blocks deallocated.

COPYRIGHT